-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: python3.11 security update
Advisory ID:       RHSA-2023:5456-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2023:5456
Issue date:        2023-10-05
CVE Names:         CVE-2023-40217 
=====================================================================

1. Summary:

An update for python3.11 is now available for Red Hat Enterprise Linux 9.

Red Hat Product Security has rated this update as having a security impact
of Important. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available for each vulnerability
from the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AppStream (v. 9) - aarch64, ppc64le, s390x, x86_64
Red Hat Enterprise Linux CRB (v. 9) - aarch64, ppc64le, s390x, x86_64

3. Description:

Python is an accessible, high-level, dynamically typed, interpreted
programming language, designed with an emphasis on code readability. It
includes an extensive standard library, and has a vast ecosystem of
third-party libraries.

Security Fix(es):

* python: TLS handshake bypass (CVE-2023-40217)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

2235789 - CVE-2023-40217 python: TLS handshake bypass

6. Package List:

Red Hat Enterprise Linux AppStream (v. 9):

Source:
python3.11-3.11.2-2.el9_2.2.src.rpm

aarch64:
python3.11-3.11.2-2.el9_2.2.aarch64.rpm
python3.11-debuginfo-3.11.2-2.el9_2.2.aarch64.rpm
python3.11-debugsource-3.11.2-2.el9_2.2.aarch64.rpm
python3.11-devel-3.11.2-2.el9_2.2.aarch64.rpm
python3.11-libs-3.11.2-2.el9_2.2.aarch64.rpm
python3.11-tkinter-3.11.2-2.el9_2.2.aarch64.rpm

ppc64le:
python3.11-3.11.2-2.el9_2.2.ppc64le.rpm
python3.11-debuginfo-3.11.2-2.el9_2.2.ppc64le.rpm
python3.11-debugsource-3.11.2-2.el9_2.2.ppc64le.rpm
python3.11-devel-3.11.2-2.el9_2.2.ppc64le.rpm
python3.11-libs-3.11.2-2.el9_2.2.ppc64le.rpm
python3.11-tkinter-3.11.2-2.el9_2.2.ppc64le.rpm

s390x:
python3.11-3.11.2-2.el9_2.2.s390x.rpm
python3.11-debuginfo-3.11.2-2.el9_2.2.s390x.rpm
python3.11-debugsource-3.11.2-2.el9_2.2.s390x.rpm
python3.11-devel-3.11.2-2.el9_2.2.s390x.rpm
python3.11-libs-3.11.2-2.el9_2.2.s390x.rpm
python3.11-tkinter-3.11.2-2.el9_2.2.s390x.rpm

x86_64:
python3.11-3.11.2-2.el9_2.2.x86_64.rpm
python3.11-debuginfo-3.11.2-2.el9_2.2.i686.rpm
python3.11-debuginfo-3.11.2-2.el9_2.2.x86_64.rpm
python3.11-debugsource-3.11.2-2.el9_2.2.i686.rpm
python3.11-debugsource-3.11.2-2.el9_2.2.x86_64.rpm
python3.11-devel-3.11.2-2.el9_2.2.i686.rpm
python3.11-devel-3.11.2-2.el9_2.2.x86_64.rpm
python3.11-libs-3.11.2-2.el9_2.2.i686.rpm
python3.11-libs-3.11.2-2.el9_2.2.x86_64.rpm
python3.11-tkinter-3.11.2-2.el9_2.2.x86_64.rpm

Red Hat Enterprise Linux CRB (v. 9):

aarch64:
python3.11-debug-3.11.2-2.el9_2.2.aarch64.rpm
python3.11-debuginfo-3.11.2-2.el9_2.2.aarch64.rpm
python3.11-debugsource-3.11.2-2.el9_2.2.aarch64.rpm
python3.11-idle-3.11.2-2.el9_2.2.aarch64.rpm
python3.11-test-3.11.2-2.el9_2.2.aarch64.rpm

ppc64le:
python3.11-debug-3.11.2-2.el9_2.2.ppc64le.rpm
python3.11-debuginfo-3.11.2-2.el9_2.2.ppc64le.rpm
python3.11-debugsource-3.11.2-2.el9_2.2.ppc64le.rpm
python3.11-idle-3.11.2-2.el9_2.2.ppc64le.rpm
python3.11-test-3.11.2-2.el9_2.2.ppc64le.rpm

s390x:
python3.11-debug-3.11.2-2.el9_2.2.s390x.rpm
python3.11-debuginfo-3.11.2-2.el9_2.2.s390x.rpm
python3.11-debugsource-3.11.2-2.el9_2.2.s390x.rpm
python3.11-idle-3.11.2-2.el9_2.2.s390x.rpm
python3.11-test-3.11.2-2.el9_2.2.s390x.rpm

x86_64:
python3.11-3.11.2-2.el9_2.2.i686.rpm
python3.11-debug-3.11.2-2.el9_2.2.i686.rpm
python3.11-debug-3.11.2-2.el9_2.2.x86_64.rpm
python3.11-debuginfo-3.11.2-2.el9_2.2.i686.rpm
python3.11-debuginfo-3.11.2-2.el9_2.2.x86_64.rpm
python3.11-debugsource-3.11.2-2.el9_2.2.i686.rpm
python3.11-debugsource-3.11.2-2.el9_2.2.x86_64.rpm
python3.11-idle-3.11.2-2.el9_2.2.i686.rpm
python3.11-idle-3.11.2-2.el9_2.2.x86_64.rpm
python3.11-test-3.11.2-2.el9_2.2.i686.rpm
python3.11-test-3.11.2-2.el9_2.2.x86_64.rpm
python3.11-tkinter-3.11.2-2.el9_2.2.i686.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2023-40217
https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2023 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJlHtXOAAoJENzjgjWX9erEljwQAI53Su11/KCxMRn/B2dscIpy
geoot2gypYUpECQhSggv4928d2qSORa73zgktK2tOBBGyhrMFMsdvBrBA+hl0nOW
4Z0BjfTYxvfjd1ahAqmV950ZZgwhY+93lSJ+lFwnUMi7+2YWOn1Q+qN1lptz25du
ZDuvGNSHxgB8dSb4+xzuvhJ0yMGB01j0nUr8YxWxtT4lKuuRKEzIonjjTJsgEg7l
ti8+fVWJu9CmpDeo2ZxJAecq/mrqqPqhzowYIeOUXbh5wdx2+CPSe+VdYWbUAMXW
264lSjQfHAYk3QfACpteQnnzd5ITgGMTKMx3z6D/M3Or1HGsBvmFC5mPAL/NOYkQ
Z6bMOaBnaLiL9wXZTsOVhvejX4GcY2IR5K3++5W5XvWNAC52senUOm26yLK8QhC0
KfPhReyIDT/5Jt2imFWXBDjVdOiwR5AK7dYqIUzkhHzJAoA46uJFL4MTVOrQIute
fvNr3p3WnPbWmPOCvBCyBjtOprkxOEnlLHGKExBTiEgXdSbHshLzbR44wnW8GH9l
7RnpF+BZnr8pIfQevUaMUTAkAsC/YS+JJIzii3Q79ennIVB6BUXrOh04yXsfm+T1
jb4IVXF+PE2OjWu2GZErUayAUMOis5TLcgoeY8a6I1zTVVE+/Sx+zIzyv8EjcVEN
JxJ3b1FMaQV4DhvlItqh
=hzLo
-----END PGP SIGNATURE-----
--
RHSA-announce mailing list
RHSA-announce@redhat.com
https://listman.redhat.com/mailman/listinfo/rhsa-announce

RedHat: RHSA-2023-5456:01 Important: python3.11 security update

An update for python3.11 is now available for Red Hat Enterprise Linux 9

Summary

Python is an accessible, high-level, dynamically typed, interpreted programming language, designed with an emphasis on code readability. It includes an extensive standard library, and has a vast ecosystem of third-party libraries.
Security Fix(es):
* python: TLS handshake bypass (CVE-2023-40217)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.



Summary


Solution

For details on how to apply this update, which includes the changes described in this advisory, refer to:
https://access.redhat.com/articles/11258

References

https://access.redhat.com/security/cve/CVE-2023-40217 https://access.redhat.com/security/updates/classification/#important

Package List

Red Hat Enterprise Linux AppStream (v. 9):
Source: python3.11-3.11.2-2.el9_2.2.src.rpm
aarch64: python3.11-3.11.2-2.el9_2.2.aarch64.rpm python3.11-debuginfo-3.11.2-2.el9_2.2.aarch64.rpm python3.11-debugsource-3.11.2-2.el9_2.2.aarch64.rpm python3.11-devel-3.11.2-2.el9_2.2.aarch64.rpm python3.11-libs-3.11.2-2.el9_2.2.aarch64.rpm python3.11-tkinter-3.11.2-2.el9_2.2.aarch64.rpm
ppc64le: python3.11-3.11.2-2.el9_2.2.ppc64le.rpm python3.11-debuginfo-3.11.2-2.el9_2.2.ppc64le.rpm python3.11-debugsource-3.11.2-2.el9_2.2.ppc64le.rpm python3.11-devel-3.11.2-2.el9_2.2.ppc64le.rpm python3.11-libs-3.11.2-2.el9_2.2.ppc64le.rpm python3.11-tkinter-3.11.2-2.el9_2.2.ppc64le.rpm
s390x: python3.11-3.11.2-2.el9_2.2.s390x.rpm python3.11-debuginfo-3.11.2-2.el9_2.2.s390x.rpm python3.11-debugsource-3.11.2-2.el9_2.2.s390x.rpm python3.11-devel-3.11.2-2.el9_2.2.s390x.rpm python3.11-libs-3.11.2-2.el9_2.2.s390x.rpm python3.11-tkinter-3.11.2-2.el9_2.2.s390x.rpm
x86_64: python3.11-3.11.2-2.el9_2.2.x86_64.rpm python3.11-debuginfo-3.11.2-2.el9_2.2.i686.rpm python3.11-debuginfo-3.11.2-2.el9_2.2.x86_64.rpm python3.11-debugsource-3.11.2-2.el9_2.2.i686.rpm python3.11-debugsource-3.11.2-2.el9_2.2.x86_64.rpm python3.11-devel-3.11.2-2.el9_2.2.i686.rpm python3.11-devel-3.11.2-2.el9_2.2.x86_64.rpm python3.11-libs-3.11.2-2.el9_2.2.i686.rpm python3.11-libs-3.11.2-2.el9_2.2.x86_64.rpm python3.11-tkinter-3.11.2-2.el9_2.2.x86_64.rpm
Red Hat Enterprise Linux CRB (v. 9):
aarch64: python3.11-debug-3.11.2-2.el9_2.2.aarch64.rpm python3.11-debuginfo-3.11.2-2.el9_2.2.aarch64.rpm python3.11-debugsource-3.11.2-2.el9_2.2.aarch64.rpm python3.11-idle-3.11.2-2.el9_2.2.aarch64.rpm python3.11-test-3.11.2-2.el9_2.2.aarch64.rpm
ppc64le: python3.11-debug-3.11.2-2.el9_2.2.ppc64le.rpm python3.11-debuginfo-3.11.2-2.el9_2.2.ppc64le.rpm python3.11-debugsource-3.11.2-2.el9_2.2.ppc64le.rpm python3.11-idle-3.11.2-2.el9_2.2.ppc64le.rpm python3.11-test-3.11.2-2.el9_2.2.ppc64le.rpm
s390x: python3.11-debug-3.11.2-2.el9_2.2.s390x.rpm python3.11-debuginfo-3.11.2-2.el9_2.2.s390x.rpm python3.11-debugsource-3.11.2-2.el9_2.2.s390x.rpm python3.11-idle-3.11.2-2.el9_2.2.s390x.rpm python3.11-test-3.11.2-2.el9_2.2.s390x.rpm
x86_64: python3.11-3.11.2-2.el9_2.2.i686.rpm python3.11-debug-3.11.2-2.el9_2.2.i686.rpm python3.11-debug-3.11.2-2.el9_2.2.x86_64.rpm python3.11-debuginfo-3.11.2-2.el9_2.2.i686.rpm python3.11-debuginfo-3.11.2-2.el9_2.2.x86_64.rpm python3.11-debugsource-3.11.2-2.el9_2.2.i686.rpm python3.11-debugsource-3.11.2-2.el9_2.2.x86_64.rpm python3.11-idle-3.11.2-2.el9_2.2.i686.rpm python3.11-idle-3.11.2-2.el9_2.2.x86_64.rpm python3.11-test-3.11.2-2.el9_2.2.i686.rpm python3.11-test-3.11.2-2.el9_2.2.x86_64.rpm python3.11-tkinter-3.11.2-2.el9_2.2.i686.rpm
These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://access.redhat.com/security/team/key/


Severity
Advisory ID: RHSA-2023:5456-01
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2023:5456
Issued Date: : 2023-10-05
CVE Names: CVE-2023-40217

Topic

An update for python3.11 is now available for Red Hat Enterprise Linux 9.Red Hat Product Security has rated this update as having a security impactof Important. A Common Vulnerability Scoring System (CVSS) base score,which gives a detailed severity rating, is available for each vulnerabilityfrom the CVE link(s) in the References section.


Topic


 

Relevant Releases Architectures

Red Hat Enterprise Linux AppStream (v. 9) - aarch64, ppc64le, s390x, x86_64

Red Hat Enterprise Linux CRB (v. 9) - aarch64, ppc64le, s390x, x86_64


Bugs Fixed

2235789 - CVE-2023-40217 python: TLS handshake bypass